# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::SubTypeCollection< Type, SubType > Class Template Reference

Applies a Type Filter to a Collection. More...

Inheritance diagram for Hurricane::SubTypeCollection< Type, SubType >:
[legend]

## Public Member Functions

| SubTypeCollection (const Collection< Type > *collection)
| SubTypeCollection (const GenericCollection< Type > &collection)
| SubTypeCollection (const SubTypeCollection &subTypeCollection)
Public Member Functions inherited from Hurricane::Collection< SubType >
virtual | ~Collection ()
virtual unsigned | getSize () const
SubType | getFirst () const
GenericCollection< SubType > | getSubSet (const Filter< SubType > &filter) const
GenericCollection< SubType > | getSubSet () const
GenericCollection< SubType > | getSubSet (const Filter< SubType > &filter) const

## Detailed Description

### template<class Type, class SubType>
class Hurricane::SubTypeCollection< Type, SubType >

Applies a Type Filter to a Collection.

Build a sub-Collection of all the elements of the primary that are of a certain sub-type. The filtering mechanism relies on a `dynamic_cast<>` so there must be an inheritance path between the Collection type and the sub-type.

## Constructor & Destructor Documentation

## ◆ SubTypeCollection() [1/3]

template<class Type , class SubType >

Hurricane::SubTypeCollection< Type, SubType >::SubTypeCollection | ( | const Collection< Type > * | collection | ) |

inline

Constructor from a primary Collection and a Filter.

## ◆ SubTypeCollection() [2/3]

template<class Type , class SubType >

Hurricane::SubTypeCollection< Type, SubType >::SubTypeCollection | ( | const GenericCollection< Type > & | collection | ) |

inline

Constructor from a primary Collection and a Filter.

## ◆ SubTypeCollection() [3/3]

template<class Type , class SubType >

Hurricane::SubTypeCollection< Type, SubType >::SubTypeCollection | ( | const SubTypeCollection< Type, SubType > & | subTypeCollection | ) |

inline

Copy Constructor.

The documentation for this class was generated from the following files:

- Collection.h
- Collection.dox